module RailsRequests
  class Middleware
    def initialize(app)
      @app = app
    end

    def call(env)
      @status, @headers, @response = @app.call(env)

      # if RailsRequests.debug
      #   key   = RailsRequests.cache_key
      #   field = RailsRequests.field_key
      #   puts "key: #{key}, field: #{field}"
      #   RailsRequests.redis.hincrby(key, field, 1)
      # else
        RailsRequests.redis.hincrby(RailsRequests.cache_key, RailsRequests.field_key, 1)
#      end

      [@status, @headers, @response]
    end

  end
end